cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
151
Views
0
Helpful
1
Replies
Highlighted
Cisco Employee

Update ydk-gen to support pyang 1.7.4

HI Team,

IOS XR build system is upgraded to PYANG 1.7.4, where all yang modules goes through compilation check before getting package.

New models are developed with Yang v1.1, whereas validation of v1.1 is not supported with existing ydk-gen (pyang 1.6).

Could you please let us know is there any roadmap planned for this support?

It would be great if you can suggest us a workaround to compile v1.1 if any.

 

Thanks in advance!!

Regards,

Kousalya

1 REPLY 1
Highlighted
Participant

Hi Kousalya

This issue was raised by multiple parties and organizations. But so far none of them took responsibility to finance the project. Hence there is neither road map nor estimation of when the YANG 1.1 support will be available in YDK.

The resolution of the issue includes multiple tasks, which include change in Pyang 1.7.4 API, adoption of new YANG 1.1 features, their implementation in Model API generator and YDK services. Plus there must be developed extensive base for new features testing. It is important to note that all new features must be developed and tested in all YDK supported languages and platforms. I have estimated this project to 6 months of development and testing for software engineer who is well familiar with internals of the YDK.

In private communications with interested parties I expressed my expertise and willingness to do the work and would like to confirm it publicly.

 

Yan Gorelik
YDK Solutions
This widget could not be displayed.